Exchange Rates
Update Exchange Rate
Update an exchange rate.
PUT
/
api
/
v1
/
exchange-rates
/
{exchange_rate_id}
Update Exchange Rate
curl --request PUT \
--url https://vinmake-erp.onrender.com/api/v1/exchange-rates/{exchange_rate_id} \
--header 'Content-Type: application/json' \
--data '
{
"base_currency": "<string>",
"target_currency": "<string>",
"rate": 123,
"effective_date": "2023-11-07T05:31:56Z",
"source": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/exchange-rates/{exchange_rate_id}"
payload = {
"base_currency": "<string>",
"target_currency": "<string>",
"rate": 123,
"effective_date": "2023-11-07T05:31:56Z",
"source": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
base_currency: '<string>',
target_currency: '<string>',
rate: 123,
effective_date: '2023-11-07T05:31:56Z',
source: '<string>'
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/exchange-rates/{exchange_rate_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"org_id": "<string>",
"base_currency": "<string>",
"target_currency": "<string>",
"rate": 123,
"effective_date": "<string>",
"source": "<string>",
"created_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Body
application/json
⌘I
Update Exchange Rate
